@echo off
cls

:: Vérifier la presence de bcdedit.exe
set bcdedit=%windir%\System32\bcdedit.exe
if not exist %bcdedit% (
  echo Erreur : le fichier bcdedit.exe est absent de votre systeme
  goto :fin
)

:: Activer le mode test
echo Active le mode test...
%bcdedit% -set TESTSIGNING ON > nul 2>&1
if %errorlevel%==1 (
  echo Erreur : veuillez desactiver la fonction "UEFI Secure Boot"
  goto :fin
)
%bcdedit% -set loadoptions DDISABLE_INTEGRITY_CHECKS > nul 2>&1

echo Ok!
echo.
pause

:: Redémarrer le PC
echo.
echo Redemarre...
shutdown /r /t 05 /c WX23PACK /f
goto :eof

:fin
echo.
pause